---
type: api
title: Delete constructor logging settings
description: Reset the default logging settings for this constructor instance.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-constructor-logging-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-constructor-logging-settings
products:
  - Elastic Cloud Enterprise
---

# Delete constructor logging settings

## Paths

- `DELETE` `/platform/infrastructure/constructors/{constructor_id}/logging_settings`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `constructor_id` (string)
  Identifier for the constructor

## Description

Reset the default logging settings for this constructor instance.

## Responses

#### `200`

The updated logging settings for the constructor instance

`application/json`

- `logging_levels` (map string to string)
  Overridden logging levels. Keys are logging levels. Allowable values are OFF, ERROR, WARN, INFO, DEBUG, TRACE, ALL
##### Response Headers

- `x-cloud-resource-version` (string)
  The resource version, which is used to avoid update conflicts with concurrent operations
- `x-cloud-resource-created` (string)
  The date-time when the resource was created (ISO format relative to UTC)
- `x-cloud-resource-last-modified` (string)
  The date-time when the resource was last modified (ISO format relative to UTC)

#### `404`

The logging settings for this constructor were not found. (code: `constructors.logging_settings.not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /platform/infrastructure/constructors/{constructor_id}/logging_settings
```

#### curl

```curl
curl -X DELETE "/platform/infrastructure/constructors/{constructor_id}/logging_settings"
```

